// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.shaped('kubejs:fish', [
      '   ',
      ' f ',
      '   '
    ], {
      f: '#forge:raw_fishes'          
    });
  });

ServerEvents.recipes(event => {
    event.remove({ id: 'minecraft:wooden_sword' })
    event.remove({ id: 'minecraft:wooden_pickaxe' })
    event.remove({ id: 'minecraft:wooden_axe' })
    event.remove({ id: 'minecraft:wooden_shovel' })
    event.remove({ id: 'minecraft:wooden_hoe' })
});

ServerEvents.recipes(event => {

  event.shaped('minecraft:wooden_sword', [
    ' f ',
    ' f ',
    ' s '
  ], {
    f: 'kubejs:fish',
    s: 'minecraft:stick'
  })

  event.shaped('minecraft:wooden_pickaxe', [
    'fff',
    ' s ',
    ' s '
  ], {
    f: 'kubejs:fish',
    s: 'minecraft:stick'
  })

  event.shaped('minecraft:wooden_axe', [
    'ff ',
    'fs ',
    ' s '
  ], {
    f: 'kubejs:fish',
    s: 'minecraft:stick'
  })

  event.shaped('minecraft:wooden_shovel', [
    ' f ',
    ' s ',
    ' s '
  ], {
    f: 'kubejs:fish',
    s: 'minecraft:stick'
  })

  event.shaped('minecraft:wooden_hoe', [
    'ff ',
    ' s ',
    ' s '
  ], {
    f: 'kubejs:fish',
    s: 'minecraft:stick'
  })
})